aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xorg-server/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-15 21:27:04 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-15 21:27:04 +0000
commit7999ab637b2621022594cdc8951f45715a097ad8 (patch)
tree7d78ff6db60db256d5755e1dfba8757574a8bdbf /x11/xorg-server/APKBUILD
parenta9cbebd20b042850bc34c790a236c46c86cc42b6 (diff)
downloadaports-7999ab637b2621022594cdc8951f45715a097ad8.tar.gz
aports-7999ab637b2621022594cdc8951f45715a097ad8.tar.bz2
aports-7999ab637b2621022594cdc8951f45715a097ad8.tar.xz
x11/xorg-server: new aport
X.Org X servers
Diffstat (limited to 'x11/xorg-server/APKBUILD')
-rw-r--r--x11/xorg-server/APKBUILD107
1 files changed, 107 insertions, 0 deletions
diff --git a/x11/xorg-server/APKBUILD b/x11/xorg-server/APKBUILD
new file mode 100644
index 0000000000..6eab4a6fda
--- /dev/null
+++ b/x11/xorg-server/APKBUILD
@@ -0,0 +1,107 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xorg-server
+pkgver=1.6.0
+pkgrel=0
+pkgdesc="X.Org X servers"
+url="http://xorg.freedesktop.org"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libX11 libXfont openssl libXxf86misc libpciaccess libXv pixman"
+makedepends="pkgconfig libX11-dev libXfont-dev openssl-dev libXxf86misc
+ libpciaccess-dev libXv-dev pixman-dev libxkbfile-dev randrproto
+ fixesproto renderproto damageproto xcmiscproto xextproto xtrans
+ bigreqsproto resourceproto inputproto libxkbui-dev
+ "
+# hal>=0.5.11 xcursor-themes xkeyboard-config>=1.3
+# xorg-server-utils xorg-utils xorg-fonts-misc xbitmaps libdrm>=2.3.1
+# diffutils xf86-input-evdev"
+
+source="http://xorg.freedesktop.org/releases/individual/xserver/$pkgname-$pkgver.tar.bz2"
+
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc/X11 \
+ --localstatedir=/var \
+ --enable-ipv6 \
+ --enable-xfbdev \
+ --enable-kdrive \
+ --enable-kdrive-vesa \
+ --disable-composite \
+ --disable-config-dbus \
+ --disable-config-hal \
+ --disable-dmx \
+ --disable-dri \
+ --disable-glx \
+ --disable-glx-tsl \
+ --disable-install-libxf86config \
+ --disable-tslib \
+ --disable-xfree86-utils \
+ --disable-xinerama \
+ --disable-xnest \
+ --disable-xorg \
+ --disable-xorgcfg \
+ --disable-xsdl \
+ --disable-xvfb \
+ --disable-aiglx \
+ --disable-xres \
+ --disable-xv \
+ --disable-xvmc \
+ --disable-screensaver \
+ --disable-glx \
+ --disable-xinerama \
+ --disable-xace \
+ --disable-dbe \
+ --disable-dpms \
+ --disable-randr \
+ || return 1
+
+# --enable-xnest \
+# --enable-composite \
+# --enable-xcsecurity \
+# --enable-xorg \
+# --enable-xtrap \
+# --enable-xevie \
+# --enable-xephyr \
+# --enable-xorgcfg \
+# --enable-kdrive \
+# --enable-install-setuid \
+# --enable-config-hal \
+# --enable-config-dbus \
+# --enablee-xfbdev \
+# --disable-xfake \
+# --disable-xsdl \
+# --disable-xprint \
+# --disable-static \
+# --with-default-font-path=/usr/share/fonts/misc,/usr/share/fonts/100dpi:unscaled,/usr/share/fonts/75dpi:unscaled,/usr/share/fonts/TTF,/usr/share/fonts/Type1 \
+# --with-xkb-path=/usr/share/X11/xkb \
+# --with-xkb-output=/var/lib/xkb \
+# --with-dri-driver-path=/usr/lib/xorg/modules/dri \
+# --enable-glx-tls \
+# --disable-dri2 \
+# --enable-dri \
+
+# Those are clamied to be on by default
+# --enable-aiglx Build accelerated indirect GLX (default: enabled)
+# --disable-registry Build string registry module (default: enabled)
+# --disable-composite Build Composite extension (default: enabled)
+# --disable-shm Build SHM extension (default: enabled)
+# --disable-xres Build XRes extension (default: enabled)
+# --disable-xv Build Xv extension (default: enabled)
+# --disable-xvmc Build XvMC extension (default: enabled)
+# --disable-screensaver Build ScreenSaver extension (default: enabled)
+# --disable-glx Build GLX extension (default: enabled)
+# --disable-xinerama Build Xinerama extension (default: enabled)
+# --disable-xace Build X-ACE extension (default: enabled)
+# --disable-dbe Build DBE extension (default: enabled)
+# --disable-dpms Build DPMS extension (default: enabled)
+# --enable-xfree86-utils Build xfree86 DDX utilities (default: enabled)
+
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -m755 -d "$pkgdir"/etc/X11 || return 1
+ install -m755 -d "$pkgdir"/var/lib/xkb || return 1
+ install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="aafe73f5807ce8bb534727ecb72467c7 xorg-server-1.6.0.tar.bz2"